Nodes
Node Generate Title
Generate a proposed title for the specified node. Will not actually mutate the specified node, instead will return a proposal based on the output from a language model call.
POST
Generate a proposed title for the specified node. Will not actually mutate the specified node, instead will return a proposal based on the output from a language model call.
cookie
storyden-session<token>node_slug*stringUnique node Slug.
Format
xidapplication/json- body
A request for a generated title for a node. A request for a generated title does not use the existing content on a node but takes the current client's content state (from an "edit mode" text box for example) and sends that in order to generate a potential title using an LLM.
content*stringNode title generated.
application/json- response
The result of a title generation request from an LLM.
title*stringcurl -X POST 'https://example.com/api/nodes/string/title' \ -H 'Content-Type: application/json' \ -d '{ "content": "string"}'Example Response
{ "title": "string"}